Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5906 - pam_ldap does silly things and then segfaults on password changing (repeatable)
Summary: pam_ldap does silly things and then segfaults on password changing (repeatable)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam_ldap
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-13 07:33 UTC by Johan Walles
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-07 15:38:09 UTC


Attachments (Terms of Use)

Description Johan Walles 1999-10-13 07:33:10 UTC
If I start an OpenLDAP server, add the local users and
copies /usr/doc/pam_ldap/whatever/pam.d to /etc/pam.d, and
modify /etc/ldap.conf I can then login through LDAP
authentication (I get logged in and show up in the logs).

However, when I try to change my password using either
Linuxconf or passwd, i get to tell it the new password
twice, then my old password, then the new password twice
(again) and then it segfaults.

I know there is a pam_ldap-40 version that claims to have
fixed some credentials sending errors from -36, maybe you
should check that out.

  //Johan

Comment 1 Nalin Dahyabhai 2000-02-07 15:38:59 UTC
This should be fixed in nss_ldap-0.43-2 in Raw Hide, slated for inclusion in
our next release of Red Hat Linux.  If you have time, please verify that the
version in Raw Hide (ftp://ftp.redhat.com/pub/rawhide/i386/RedHat/RPMS/) works
properly.  I'm reasonably certain that it will no longer segfault on you, but
please reopen this bug if it continues to do so after an upgrade.


Note You need to log in before you can comment on or make changes to this bug.